PHPExcel_Calculation_FormulaToken

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Calculation_FormulaToken

    __construct(string $pValue, string $pTokenType, string $pTokenSubType)

### Parameters

#### $pValue

`string`

#### $pTokenType

`string`

Token type (represented by TOKEN_TYPE_*)

#### $pTokenSubType

`string`

Token Subtype (represented by TOKEN_SUBTYPE_*)

## Get Token SubType (represented by TOKEN_SUBTYPE_*)

    getTokenSubType() : string

### Returns

`string`

## Get Token Type (represented by TOKEN_TYPE_*)

    getTokenType() : string

### Returns

`string`

## Get Value

    getValue() : string

### Returns

`string`

## Set Token SubType

    setTokenSubType(string $value)

### Parameters

#### $value

`string`

## Set Token Type

    setTokenType(string $value)

### Parameters

#### $value

`string`

## Set Value

    setValue(string $value)

### Parameters

#### $value

`string`

### Properties

##

    $_tokenSubType : string

##

    $_tokenType : string

##

    $_value : string

### Constants

## TOKEN_SUBTYPE_CONCATENATION

    TOKEN_SUBTYPE_CONCATENATION

## TOKEN_SUBTYPE_ERROR

    TOKEN_SUBTYPE_ERROR

## TOKEN_SUBTYPE_INTERSECTION

    TOKEN_SUBTYPE_INTERSECTION

## TOKEN_SUBTYPE_LOGICAL

    TOKEN_SUBTYPE_LOGICAL

## TOKEN_SUBTYPE_MATH

    TOKEN_SUBTYPE_MATH

## TOKEN_SUBTYPE_NOTHING

    TOKEN_SUBTYPE_NOTHING

## TOKEN_SUBTYPE_NUMBER

    TOKEN_SUBTYPE_NUMBER

## TOKEN_SUBTYPE_RANGE

    TOKEN_SUBTYPE_RANGE

## TOKEN_SUBTYPE_START

    TOKEN_SUBTYPE_START

## TOKEN_SUBTYPE_STOP

    TOKEN_SUBTYPE_STOP

## TOKEN_SUBTYPE_TEXT

    TOKEN_SUBTYPE_TEXT

## TOKEN_SUBTYPE_UNION

    TOKEN_SUBTYPE_UNION

## TOKEN_TYPE_ARGUMENT

    TOKEN_TYPE_ARGUMENT

## TOKEN_TYPE_FUNCTION

    TOKEN_TYPE_FUNCTION

## TOKEN_TYPE_NOOP

    TOKEN_TYPE_NOOP

## TOKEN_TYPE_OPERAND

    TOKEN_TYPE_OPERAND

## TOKEN_TYPE_OPERATORINFIX

    TOKEN_TYPE_OPERATORINFIX

## TOKEN_TYPE_OPERATORPOSTFIX

    TOKEN_TYPE_OPERATORPOSTFIX

## TOKEN_TYPE_OPERATORPREFIX

    TOKEN_TYPE_OPERATORPREFIX

## TOKEN_TYPE_SUBEXPRESSION

    TOKEN_TYPE_SUBEXPRESSION

## TOKEN_TYPE_UNKNOWN

    TOKEN_TYPE_UNKNOWN

## TOKEN_TYPE_WHITESPACE

    TOKEN_TYPE_WHITESPACE